> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.withpersona.com/2020-05-18/api-reference/api-logs/list-all-api-logs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.withpersona.com/_mcp/server. # List all API Logs GET https://api.withpersona.com/api/v1/api-logs Returns a list of your organization's API Logs. Results are returned in reverse chronological order, with the most recently created objects first. Reference: https://docs.withpersona.com/api-reference/api-logs/list-all-api-logs ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Query parameters - `page` (ApiLogsGetParametersPage, optional) - `fields` (map from string to string, optional) — Comma-separated list(s) of attributes to include in the response. This can be used to customize which attributes will be serialized in the response. See [Serialization](https://docs.withpersona.com/serialization#sparse-fieldsets) for more details. ### Headers - `Key-Inflection` (enum, optional) — Determines casing for the API response. - Allowed values: `camel`, `kebab`, `snake` - `Idempotency-Key` (string, optional) — Ensures the request is idempotent. - `Persona-Version` (enum, optional) — Server API version. More info on versioning can be found [here](https://docs.withpersona.com/versioning). - Allowed values: `2025-12-08`, `2025-10-27`, `2023-01-05`, `2022-09-01`, `2021-08-18`, `2021-07-05`, `2021-02-21`, `2020-05-18` ## Response ### 200 This endpoint returns a collection of API log objects. - `data` (list of api-log, required) — An array of API Logs - `links` (ApiLogsGetResponsesContentApplicationJsonSchemaLinks, required) ## Errors ### 400 Bad Request Error The request was unacceptable, often due to invalid parameters. - `errors` (list of ApiLogsGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 401 Unauthorized Error An invalid API key was provided. - `errors` (list of ApiLogsGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 403 Forbidden Error The given API key doesn’t have permissions to perform the request or a quota has been exceeded. - `errors` (list of ApiLogsGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 404 Not Found Error The requested resource doesn’t exist. - `errors` (list of ApiLogsGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ### 429 Too Many Requests Error Your organization’s rate limit has been exceeded. We recommend an exponential backoff on requests. - `errors` (list of ApiLogsGetResponsesContentApplicationJsonSchemaErrorsItems, optional) ## Types ### ApiLogsGetParametersPage - `after` (string, optional) — Object ID for pagination cursor - `before` (string, optional) — Object ID for pagination cursor - `size` (double, optional) — Limit on the number of objects returned ### api-log An API Log object - `type` ("api-log", optional) - `id` (string, optional) - `attributes` (ApiLogAttributes, optional) - `relationships` (ApiLogRelationships, optional) ### ApiLogsGetResponsesContentApplicationJsonSchemaLinks - `next` (string, required, nullable) - `prev` (string, required, nullable) ### ApiLogsGetResponsesContentApplicationJsonSchemaErrorsItems - `title` (string, optional) - `details` (string, optional) ### ApiLogAttributes - `request` (ApiLogAttributesRequest, optional) - `response` (ApiLogAttributesResponse, optional) - `created-at` (datetime, optional) - `redacted-at` (datetime, optional, nullable) ### ApiLogRelationships - `api-key` (ApiLogRelationshipsApiKey, optional) — The API key that made this request, if any. ### ApiLogAttributesRequest - `method` (string, optional) - `path` (string, optional) - `headers` (ApiLogAttributesRequestHeaders, optional) - `get-params` (map from string to any, optional) — The GET params of the request. Schema depends on the API called. - `post-params` (map from string to any, optional) — The POST params of the request. Schema depends on the API called. - `ip-address` (string, optional) ### ApiLogAttributesResponse - `status` (integer, optional) - `headers` (ApiLogAttributesResponseHeaders, optional) ### ApiLogRelationshipsApiKey The API key that made this request, if any. - `data` (ApiLogRelationshipsApiKeyData, optional, nullable) ### ApiLogAttributesRequestHeaders - `Accept` (string, optional) - `Authorization` (string, optional) — A sanitized version of the request's Authorization header. - `Host` (string, optional) - `Persona-Version` (string, optional) - `User-Agent` (string, optional) ### ApiLogAttributesResponseHeaders - `Persona-Host` (string, optional) - `Cache-Control` (string, optional) - `Pragma` (string, optional) - `Expires` (string, optional) - `RateLimit-Limit` (integer, optional) - `RateLimit-Remaining` (integer, optional) - `RateLimit-Reset` (integer, optional) - `Quota-Limit` (integer, optional) - `Quota-Remaining` (integer, optional) - `Quota-Reset` (integer, optional) - `Request-Id` (string, optional) - `Content-Type` (string, optional) - `Vary` (string, optional) ### ApiLogRelationshipsApiKeyData - `type` ("api-key", optional) - `id` (string, optional) ## Examples **Response** ```json { "data": [ { "type": "api-log", "id": "req_ABC123", "attributes": { "request": { "method": "GET", "path": "/api/v1/inquiries", "headers": { "Accept": "application/json", "Host": "withpersona.com", "Persona-Version": "2023-01-05", "User-Agent": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/" }, "get-params": {}, "post-params": {}, "ip-address": "127.0.0.1" }, "response": { "status": 200, "headers": { "Persona-Host": "us-central1 persona-web-web-77b874ff88-rrdk9 53e23b240", "Cache-Control": "no-cache, no-store, max-age=0, must-revalidate", "Pragma": "no-cache", "Expires": "Fri, 01 Jan 1990 00:00:00 GMT", "RateLimit-Limit": 300, "RateLimit-Remaining": 299, "RateLimit-Reset": 60, "Request-Id": "req_ABC123", "Content-Type": "application/json; charset=utf-8", "Vary": "Accept" } }, "created-at": "2023-09-20T20:20:03.485+00:00", "redacted-at": null }, "relationships": { "api-key": { "data": { "type": "api-key", "id": "api_ABC123" } } } } ], "links": { "next": "/api/v1/api-logs?page%5Bafter%5D=req_ByBdXDqUrguLAHjGZMuDZLCx", "prev": null } } ``` **SDK Code** ```python Success import requests url = "https://api.withpersona.com/api/v1/api-logs" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript Success const url = 'https://api.withpersona.com/api/v1/api-logs'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go Success package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.withpersona.com/api/v1/api-logs" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby Success require 'uri' require 'net/http' url = URI("https://api.withpersona.com/api/v1/api-logs") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java Success import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.withpersona.com/api/v1/api-logs") .header("Authorization", "Bearer ") .asString(); ``` ```php Success request('GET', 'https://api.withpersona.com/api/v1/api-logs', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp Success using RestSharp; var client = new RestClient("https://api.withpersona.com/api/v1/api-logs"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift Success import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.withpersona.com/api/v1/api-logs")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```